package cn.com.ty.lift.batch.applet.util;

import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.Map;

/**
 * @author huangyuan
 * @date 2020/2/4
 * @description
 */
public class DataStatisticsUtil {
    /**
     * @param
     * @return
     * @description 获取从1月到当前月份的 月数值->条数
     * @date 2020/2/4 3:09 下午
     */
    public static Map<String, Long> initDateMap() {
        Map<String, Long> monthToCount = new HashMap<>();
        for (int i = 1; i <= LocalDateTime.now().getMonthValue(); i++) {
            //小于10的月份前面加0
            if (i < 10) {
                initDateMap().put("0" + i, 0L);
            } else {
                initDateMap().put(i + "", 0L);
            }
        }
        return monthToCount;
    }

    /**
     * @param
     * @return
     * @description 获取当前年份的最开始的时间
     * @date 2020/2/4 3:37 下午
     */
    public static LocalDateTime getYearFirstTime() {
        return LocalDateTime.of(LocalDateTime.now().getYear(), 1, 1, 0, 0, 0);
    }

    /**
     * @param localDateTime 时间数据
     * @return
     * @description 获取时间的月份数据
     * @date 2020/2/4 4:31 下午
     */
    public static String getMonthStr(LocalDateTime localDateTime) {
        int month = localDateTime.getMonthValue();
        if(month < 10){
            return "0" + month;
        }
        return month + "";
    }
}
